Package ghidra.trace.database.thread

# Class DBTraceObjectProcess

java.lang.Object
ghidra.trace.database.thread.DBTraceObjectProcess

All Implemented Interfaces:
  `DBTraceObjectInterface`, `TraceObjectInterface`, `TraceProcess`, `TraceUniqueObject`

public class DBTraceObjectProcess extends Object implements TraceProcess, DBTraceObjectInterface

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.trace.database.target.DBTraceObjectInterface

  `DBTraceObjectInterface.Translator<T>`

- ## Field Summary

  ### Fields inherited from interface ghidra.trace.model.target.iface.TraceObjectInterface

  `KEY_COMMENT, KEY_DISPLAY, KEY_KIND, KEY_MODIFIED, KEY_ORDER, KEY_SHORT_DISPLAY, KEY_TYPE, KEY_VALUE`

  ### Fields inherited from interface ghidra.trace.model.thread.TraceProcess

  `KEY_PID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceObjectProcess(DBTraceObject object)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceObject`
  `getObject()`
  Get the object backing this implementation
  `TraceChangeRecord<?,?>`
  `translateEvent(TraceChangeRecord<?,?> rec)`
  Translate an object event into the interface-specific event

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.database.target.DBTraceObjectInterface

  `getObjectKey, isDeleted, spaceForValue`

- ## Constructor Details

  - ### DBTraceObjectProcess

    public DBTraceObjectProcess(DBTraceObject object)

- ## Method Details

  - ### getObject

    public TraceObject getObject()
    Description copied from interface: `TraceObjectInterface`
    Get the object backing this implementation
    Specified by:
      `getObject` in interface `TraceObjectInterface`
    Returns:
      the object

  - ### translateEvent

    public TraceChangeRecord<?,?> translateEvent(TraceChangeRecord<?,?> rec)
    Description copied from interface: `DBTraceObjectInterface`
    Translate an object event into the interface-specific event

    Both the object event and the interface-specific event, if applicable, will be emitted. If multiple events need to be emitted, then this method may emit them directly via its object's trace. If exactly one event needs to be emitted, then this method should return the translated record. If no translation applies, or if the translated event(s) were emitted directly, this method returns `null`.

    Specified by:
      `translateEvent` in interface `DBTraceObjectInterface`
    Parameters:
      `rec` - the object event
    Returns:
      the interface-specific event to emit, or `null`